#!/bin/bash
#PBS -l walltime=48:00:00
#PBS -l ncpus=1,mem=2gb
#PBS -q sgp
#PBS -N trio_whole_exome_checksums
#PBS -j oe

# enable running singletons
if [ -z $PBS_ARRAY_INDEX ]
then
  if [ -z $INDEX ]
  then
    export PBS_ARRAY_INDX=1
  else
    export PBS_ARRAY_INDEX=$INDEX
  fi
fi

# Expects environment variables to be set
# PROJECT_ID - e.g. 12345_LastnameFirstname
# CONFIG_SH - absolute path to configuration script setting environment variables

source $CONFIG_SH

FAMILY_ID=`head -n $PBS_ARRAY_INDEX $PARAMS_DIR/$PROJECT_ID.family_ids.txt | tail -n 1`

# This assumes that ${PROJECT_ID}_${FAMILY_ID} is unique, and it should be - if there was
# a re-run of a family, it should have a new project id.
cd $OUTPUT_DIR/*${PROJECT_ID}_${FAMILY_ID}*

rm md5sum.txt 2> /dev/null

for file in `find . -type f | grep -v '\.bam'`
do
  md5sum $file >> md5sum.txt
done

